Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.services.jbpm.cmd
Class MessageFacade

    java.lang.Object
      org.jboss.soa.esb.services.jbpm.cmd.MessageFacade

Direct Known Subclasses:
  CancelProcessInstanceFacade, NewProcessInstanceFacade, SignalFacade

    public abstract class MessageFacade

extends java.lang.Object

Author:
  kstam

Constructor Summary
`MessageFacade()`

Method Summary
`static MessageFacade` | `getFacade(ConfigTree config)`
`abstract Constants.OpCode` | `getOpCode()` Obtain the operation code that this preprocessor will force into the command message
`abstract void` | `setJBPMContextParameters(Message request)` Some message values are fixed at action configuration time (from the jboss-esb.xml).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageFacade

    public MessageFacade()

Method Detail

### getOpCode

    public abstract Constants.OpCode getOpCode()

  Obtain the operation code that this preprocessor will force into the command message

  Returns:
    Constants.OpCode

### setJBPMContextParameters

    public abstract void setJBPMContextParameters(Message request)

  Some message values are fixed at action configuration time (from the jboss-esb.xml).
  This method is responsible of stuffing these static values into every Message before passing it to the generic CommandInterpreter process(Message) method
  Some of the Message content will thus come from configuration XML, and some will be the users' responsibility (e.g. processId, tokenId, etc)
  Variable name mapping between esb and jBPM is also handled by this interface

  Parameters:
    `message` - Message - Into which the static values will be added

### getFacade

    public static MessageFacade getFacade(ConfigTree config)
                                   throws ConfigurationException,
                                          java.lang.UnsupportedOperationException

  Throws:
    `ConfigurationException`
    `java.lang.UnsupportedOperationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD